javax.xml.registry.infomodel

## Interface ExtensibleObject

- All Known Subinterfaces:
    Association, AuditableEvent, Classification, ClassificationScheme, Concept, ExternalIdentifier, ExternalLink, ExtrinsicObject, Organization, PostalAddress, RegistryEntry, RegistryObject, RegistryPackage, Service, ServiceBinding, SpecificationLink, User

      public interface ExtensibleObject

  An ExtensibleObject is one that allows itself to be extended by utilizing dynamically added Slots that add arbitrary attributes to the object on a per instance basis.
  Author:
    Farrukh S. Najmi
  See Also:
    `Slot`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSlot(Slot slot)` Adds a Slot to this object.
    `void` | `addSlots(Collection slots)` Adds more Slots to this object.
    `Slot` | `getSlot(String slotName)` Gets the slot specified by slotName.
    `Collection` | `getSlots()` Returns the Slots associated with this object.
    `void` | `removeSlot(String slotName)` Removes a Slot from this object.
    `void` | `removeSlots(Collection slotNames)` Removes specified Slots from this object.

- - ### Method Detail

    - #### addSlot

          void addSlot(Slot slot)
                       throws JAXRException

      Adds a Slot to this object.

      Capability Level: 0
      Parameters:
        `slot` - the Slot object being added to this object
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### addSlots

          void addSlots(Collection slots)
                        throws JAXRException

      Adds more Slots to this object.

      Capability Level: 0
      Parameters:
        `slots` - the Collection of Slot objects being added to this object
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### removeSlot

          void removeSlot(String slotName)
                          throws JAXRException

      Removes a Slot from this object. The Slot is identified by its name.

      Capability Level: 0
      Parameters:
        `slotName` - the name for the Slot object being removed from this object
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### removeSlots

          void removeSlots(Collection slotNames)
                           throws JAXRException

      Removes specified Slots from this object. The Slots are identified by its name.

      Capability Level: 0
      Parameters:
        `slotNames` - the Collection of names for Slot objects being removed from this object. Must be a Collection of Strings
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### getSlot

          Slot getSlot(String slotName)
                       throws JAXRException

      Gets the slot specified by slotName.

      Capability Level: 0
      Parameters:
        `slotName` - the name of the desired Slot object
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### getSlots

          Collection getSlots()
                              throws JAXRException

      Returns the Slots associated with this object.

      Capability Level: 0
      Returns:
        Collection of Slot instances. The Collection may be empty but not null.
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.